%define name lzop
%define version 1.00
Summary:   lzop -- a real-time file compressor
Name:      %{name}
Version:   %{version}
Release:   1
Source:    ftp://hpv17.infosys.tuwien.ac.at/pub/mfx/%{name}-%{version}.tar.gz
URL:       http://wildsau.idv.uni-linz.ac.at/mfx/lzop.html
Copyright: GPL
Group:     Utilities/Archiving
BuildRoot: /tmp/%{name}-%{version}-root

%description
lzop is a compression utility which is designed to be a companion to gzip. It
is based on the LZO library and its main advantages over gzip are much higher
compression and decompression speed at the cost of compression ratio.

lzop was designed with the following goals in mind:
      1.reliability
      2.speed (both compression and decompression)
      3.reasonable drop-in compatibility to gzip
      4.portability

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) /usr/bin/*
%attr(644,root,root) /usr/man/man1/*.1
%attr(644,root,root) %doc AUTHORS NEWS README THANKS

%changelog
* Sat Jan 23 1999 Dan Fandrich <dan@fch.wimsey.bc.ca>
- made spec file compatible with rpm 2.4.12
- rebuilt against libc5

* Thu May 21 1998 Arne Coucheron <arneco@online.no>
- updated to 1.00-1
- using BuildRoot
- using %%{name} and %%{version} macros
- using %defattr and %attr macros in filelist; requires rpm 2.5 to build
- using RPM_OPT_FLAGS during make
- removed Packager: line; use /etc/rpmrc for this if you need it
- added -q parameter to %setup
